=== debian/changelog ===
xfoil (6.97.dfsg-5) unstable; urgency=low

  * Fix IO after end of file, thanks to Andrew Klaassen (closes: #682679).
  * Fix command line arguments handling in pxplot.
  * Standards-Version 3.9.3 — no changes required

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 24 Jul 2012 21:56:26 +0200

xfoil (6.97.dfsg-4) unstable; urgency=low

  * Add build and install target to debian/rules

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 19 Jan 2010 23:03:44 +0100

xfoil (6.97.dfsg-3) unstable; urgency=low

  * New patch:
    - osgen-fix.diff - fix bug in osgen that cacuses generation of incorrect
      osmap.dat file
  * Build and install osmap.dat
  * Silence clean in plotlib

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 12 Jan 2010 21:33:19 +0100

xfoil (6.97.dfsg-2) unstable; urgency=low

  * Mention that plotlib is distributed under LGPL2+ in debian/copyright,
    thanks to Barry deFreese

 -- Євгеній Мещеряков <eugen@debian.org>  Thu, 07 Jan 2010 21:39:57 +0100

xfoil (6.97.dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #541351)

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 03 Jan 2010 19:09:17 +0100
