=== debian/control ===
Source: xfoil
Section: science
Priority: optional
Maintainer: Євгеній Мещеряков <eugen@debian.org>
Build-Depends: debhelper (>= 7.0.50~), gfortran, libx11-dev
Standards-Version: 3.9.3
Homepage: http://web.mit.edu/drela/Public/web/xfoil/
Vcs-Git: git://git.debian.org/git/collab-maint/xfoil.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/xfoil.git

Package: xfoil
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: program for the design and analysis of subsonic airfoils
 XFOIL is an interactive program for the design and analysis of subsonic
 isolated airfoils. It consists of a collection of menu-driven routines
 which perform various useful functions such as:
   - Viscous (or inviscid) analysis of an existing airfoil
   - Airfoil design and redesign by interactive specification of
     a surface speed distribution via screen cursor or mouse
   - Airfoil redesign by interactive specification of new geometric
     parameters
   - Blending of airfoils
   - Drag polar calculation with fixed or varying Reynolds and/or
     Mach numbers.
   - Plotting of geometry, pressure distributions, and polars
