=== debian/rules ===
#! /usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

clean binary binary-arch binary-indep build install:
	dh $@

override_dh_auto_build:
	$(MAKE) -C orrs/bin -f Makefile osgen
	cd orrs && bin/osgen osmaps_ns.lst
	$(MAKE) -C plotlib libPlt.a
	$(MAKE) -C bin

override_dh_auto_clean:
	$(MAKE) -C orrs/bin clean
	rm -f orrs/osmap.dat
	$(MAKE) -C plotlib clean
	$(MAKE) -C bin clean

override_dh_installchangelogs:
	dh_installchangelogs version_notes.txt

.PHONY: clean build binary binary-arch binary-indep build install
