## xfoil 6.99.dfsg

=== debian/changelog ===
xfoil (6.99.dfsg-2build1) artful; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Aug 2017 17:22:08 +0000

xfoil (6.99.dfsg-2) unstable; urgency=medium

  * Add debian/watch

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 30 Apr 2014 22:25:41 +0200

xfoil (6.99.dfsg-1) unstable; urgency=medium

  * New upstream release 
  * Refresh patches
  * Fix plotlib building 
  * Enable parallel build
  * Enable stack protector and relro 
  * Add support for all required targets to debian/rules 
  * Standards-Version 3.9.5 — no changers needed

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 30 Apr 2014 21:30:14 +0200
