=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Євгеній Мещеряков <eugen@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), gfortran, libx11-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://web.mit.edu/drela/Public/web/xfoil/
 Vcs-Git: git://git.debian.org/git/collab-maint/xfoil.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/xfoil.git
