## xfoil 6.99.dfsg%2B1

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: science
 Priority: optional
 Maintainer: Євгеній Мещеряков <eugen@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), gfortran, libx11-dev
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 11~), gfortran, libx11-dev
+Standards-Version: 4.2.1
 Homepage: http://web.mit.edu/drela/Public/web/xfoil/
-Vcs-Git: git://git.debian.org/git/collab-maint/xfoil.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/xfoil.git
+Vcs-Git: https://salsa.debian.org/debian/xfoil.git
+Vcs-Browser: https://salsa.debian.org/debian/xfoil
 
 Package: xfoil
 Architecture: any
