## xfoil 6.99.dfsg+1

=== bin/Makefile ===
--- 
+++ 
@@ -6,8 +6,8 @@
 
 
 SHELL = sh
-#BINDIR = $(HOME)/bin/
-BINDIR = .
+BINDIR = /home/codes/bin/
+#BINDIR = .
 
 PROGS = xfoil pplot pxplot
 
@@ -98,22 +98,33 @@
 #FC = g77
 #FFLAGS = -g -O0 -C
 ##--------------------------
-### Intel Fortran Compiler
-FC = ifort
-FFLAGS = -O
-FFLOPT = -O
-#FTNLIB = -Vaxlib /usr/lib/C-ctype.o /usr/lib/C_name.o /usr/lib/ctype-info.o
-#FTNLIB = -Vaxlib
-#FTNLIB = -i_dynamic
-
-##--------------------------
+### GNU gfortran
+#FC = gfortran
+#FFLAGS = -O3 -fomit-frame-pointer
+#FFLOPT = -O3 -fomit-frame-pointer
+# Debug flags (symbols, array bounds)
+#FFLAGS = -g -O0 -fbounds-check
+#FFLOPT = -g -O0 -fbounds-check
+#
 ### Double precision option
-FFLAGS = -O -r8 -CB
-FFLOPT = -O -r8 -CB
-PLTOBJ = ../plotlib/libPltDP.a 
-
-FFLAGS = -O -r8 -ftrapuv -fpe0
-FFLOPT = -O -r8 -ftrapuv -fpe0
+#FFLAGS = -O3 -fdefault-real-8
+#FFLOPT = -O3 -fdefault-real-8
+#FFLAGS = -O3 -fdefault-real-8 -fbounds-check
+#FFLOPT = -O3 -fdefault-real-8 -fbounds-check
+# Debug flags (symbols, array bounds)
+#FFLAGS = -g -O0 -C
+##--------------------------
+### Gfortran
+FC = gfortran
+CHK = 
+CHK = -fbounds-check -finit-real=inf -ffpe-trap=invalid,zero
+DBL = -fdefault-real-8
+FFLAGS = -O $(CHK) $(DBL)
+FFLOPT = -O $(CHK) $(DBL)
+FTNLIB =
+
+PLTOBJ = ../plotlib/libPlt_gDP.a 
+
 
 
 all:	 $(PROGS)
@@ -130,19 +141,29 @@
 
 xfoil: $(XFOILOBJ) $(XUTILOBJ) $(OSOBJ)
 	$(FC) -o xfoil $(XFOILOBJ) $(XUTILOBJ) $(OSOBJ) $(PLTOBJ) $(PLTLIB) $(FTNLIB)
+	$(INSTALLCMD) xfoil $(BINDIR)
 
 pxplot:	$(PXPLOTOBJ) $(XUTILOBJ)
 	$(FC) -o pxplot $(PXPLOTOBJ) $(XUTILOBJ) $(PLTOBJ) $(PLTLIB) $(FTNLIB)
+	$(INSTALLCMD) pxplot $(BINDIR)
 
 pplot:	$(PPLOTOBJ) $(XUTILOBJ)
 	$(FC) -o pplot $(PPLOTOBJ) $(XUTILOBJ)  $(PLTOBJ) $(PLTLIB) $(FTNLIB)
-
+	$(INSTALLCMD) pplot $(BINDIR)
+
+blu: blu.o profil.o
+	$(FC) -o blu blu.o profil.o
+	$(INSTALLCMD) blu $(BINDIR)
+
+
+blu.o: $(SRC)/blu.f
+	$(FC) -c $(FFLAGS) $(SRC)/blu.f
 
 xfoil.o: $(SRC)/xfoil.f  $(SRC)/XFOIL.INC $(SRC)/XBL.INC
 	$(FC) -c $(FFLAGS)  $(SRC)/xfoil.f
 xpanel.o: $(SRC)/xpanel.f  $(SRC)/XFOIL.INC
 	$(FC) -c $(FFLOPT)  $(SRC)/xpanel.f
-xoper.o: $(SRC)/xoper.f  $(SRC)/XFOIL.INC
+xoper.o: $(SRC)/xoper.f  $(SRC)/XFOIL.INC  $(SRC)/BLPAR.INC
 	$(FC) -c $(FFLAGS)  $(SRC)/xoper.f
 xsolve.o: $(SRC)/xsolve.f  $(SRC)/XFOIL.INC
 	$(FC) -c $(FFLOPT)  $(SRC)/xsolve.f
@@ -156,17 +177,17 @@
 	$(FC) -c $(FFLAGS)  $(SRC)/xqdes.f
 xmdes.o: $(SRC)/xmdes.f  $(SRC)/XFOIL.INC $(SRC)/XDES.INC $(SRC)/CIRCLE.INC
 	$(FC) -c $(FFLAGS)  $(SRC)/xmdes.f
-xbl.o:   $(SRC)/xbl.f    $(SRC)/XFOIL.INC $(SRC)/XBL.INC
+xbl.o:   $(SRC)/xbl.f    $(SRC)/XFOIL.INC $(SRC)/XBL.INC $(SRC)/BLPAR.INC
 	$(FC) -c $(FFLAGS)  $(SRC)/xbl.f
-xblsys.o: $(SRC)/xblsys.f                  $(SRC)/XBL.INC
+xblsys.o: $(SRC)/xblsys.f                  $(SRC)/XBL.INC $(SRC)/BLPAR.INC
 	$(FC) -c $(FFLAGS)  $(SRC)/xblsys.f
-xplots.o: $(SRC)/xplots.f $(SRC)/XFOIL.INC
+xplots.o: $(SRC)/xplots.f $(SRC)/XFOIL.INC $(SRC)/XDES.INC
 	$(FC) -c $(FFLAGS)  $(SRC)/xplots.f
 pntops.o: $(SRC)/pntops.f $(SRC)/XFOIL.INC $(SRC)/XDES.INC
 	$(FC) -c $(FFLAGS)  $(SRC)/pntops.f
-blplot.o: $(SRC)/blplot.f $(SRC)/XFOIL.INC
+blplot.o: $(SRC)/blplot.f $(SRC)/XFOIL.INC $(SRC)/BLPAR.INC
 	$(FC) -c $(FFLAGS)  $(SRC)/blplot.f
-xpol.o: $(SRC)/xpol.f     $(SRC)/XFOIL.INC
+xpol.o: $(SRC)/xpol.f     $(SRC)/XFOIL.INC $(SRC)/PINDEX.INC
 	$(FC) -c $(FFLAGS)  $(SRC)/xpol.f
 xgeom.o: $(SRC)/xgeom.f 
 	$(FC) -c $(FFLAGS)  $(SRC)/xgeom.f
@@ -196,7 +217,7 @@
 iopol.o: $(SRC)/iopol.f $(SRC)/PINDEX.INC
 	$(FC) -c $(FFLAGS)  $(SRC)/iopol.f
 
-pplot.o:  $(SRC)/pplot.f  $(SRC)/PPLOT.INC
+pplot.o:  $(SRC)/pplot.f  $(SRC)/PPLOT.INC $(SRC)/PINDEX.INC
 	$(FC) -c $(FFLAGS)  $(SRC)/pplot.f
 pxplot.o: $(SRC)/pxplot.f $(SRC)/PXPLOT.INC
 	$(FC) -c $(FFLAGS)  $(SRC)/pxplot.f
