=== orrs/bin/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
 SRC = ../src
-PLTOBJ = /var/local/codes/Xplot/libPlt.a
+PLTOBJ = /home/codes/Xplot/libPlt.a
 
 #========================================
 #  Default compiler flags
@@ -36,10 +36,16 @@
 	$(FC) -o fscorr fscorr.o fs.o $(PLTOBJ) $(PLTLIB)
 fsrun: fsrun.o fs.o
 	$(FC) -o fsrun fsrun.o fs.o $(PLTOBJ) $(PLTLIB)
+fs4run: fsrun.o fs4.o
+	$(FC) -o fs4run fsrun.o fs4.o $(PLTOBJ) $(PLTLIB)
 intai: intai.o osmap.o plutil.o
 	$(FC) -o intai intai.o osmap.o plutil.o $(PLTOBJ) $(PLTLIB)
 mappl1: mappl1.o ask1.o conlab.o io.o getarg0.o
 	$(FC) -o mappl1 mappl1.o ask1.o conlab.o io.o getarg0.o $(PLTOBJ) $(PLTLIB)
+mappl0: mappl0.o ask1.o conlab.o io.o getarg0.o
+	$(FC) -o mappl0 mappl0.o ask1.o conlab.o io.o getarg0.o $(PLTOBJ) $(PLTLIB)
+mappl0x: mappl0x.o ask1.o conlab.o io.o getarg0.o
+	$(FC) -o mappl0x mappl0x.o ask1.o conlab.o io.o getarg0.o $(PLTOBJ) $(PLTLIB)
 ncorr: ncorr.o fs.o
 	$(FC) -o ncorr ncorr.o fs.o $(PLTOBJ) $(PLTLIB)
 osrun: osrun.o fs.o orrs.o ospres.o plutil.o userio.o
@@ -79,12 +85,18 @@
 	$(FC) -c $(FLG) $(SRC)/fsrun.f
 fs.o: $(SRC)/fs.f
 	$(FC) -c $(FLG) $(SRC)/fs.f
+fs4.o: $(SRC)/fs4.f
+	$(FC) -c $(FLG) $(SRC)/fs4.f
 io.o: $(SRC)/io.f
 	$(FC) -c $(FLG) $(SRC)/io.f
 intai.o: $(SRC)/intai.f
 	$(FC) -c $(FLG) $(SRC)/intai.f
 mappl1.o: $(SRC)/mappl1.f
 	$(FC) -c $(FLG) $(SRC)/mappl1.f
+mappl0.o: $(SRC)/mappl0.f
+	$(FC) -c $(FLG) $(SRC)/mappl0.f
+mappl0x.o: $(SRC)/mappl0x.f
+	$(FC) -c $(FLG) $(SRC)/mappl0x.f
 ncorr.o: $(SRC)/ncorr.f
 	$(FC) -c $(FLG) $(SRC)/ncorr.f
 osmap.o: $(SRC)/osmap.f
