=== plotlib/examples/Makefile ===
--- 
+++ 
@@ -43,7 +43,7 @@
         symbols symbolsall \
 	squares squaresdoublebuff \
 	spectrum cmap2 cmap3 defmap \
-        gridtest zoomtest contest
+        gridtest zoomtest contest mousexy mousexy2
 
 
 examples:  $(PROGS)
@@ -99,6 +99,15 @@
 contest: contest.o 
 	$(FC) -o contest contest.o $(LIB) $(LINKLIB)
 
+mousexy: mousexy.o 
+	$(FC) -o mousexy mousexy.o $(LIB) $(LINKLIB)
+
+mousexy2: mousexy2.o 
+	$(FC) -o mousexy2 mousexy2.o $(LIB) $(LINKLIB)
+
+mousexy3: mousexy3.o 
+	$(FC) -o mousexy3 mousexy3.o $(LIB) $(LINKLIB)
+
 
 
 volts.o: volts.f
@@ -140,6 +149,15 @@
 contest.o: contest.f
 	$(FC) -c $(FFLAGS) $<
 
+mousexy.o: mousexy.f
+	$(FC) -c $(FFLAGS) $<
+
+mousexy2.o: mousexy2.f
+	$(FC) -c $(FFLAGS) $<
+
+mousexy3.o: mousexy3.f
+	$(FC) -c $(FFLAGS) $<
+
 #May need to specify these on a brain-dead make system
 #.f.o:	$(FC) -c $(FFLAGS) $<
 #.c.o:	$(CC) -c $(CFLAGS) $<
