=== debian/changelog ===
xfoil (6.99.dfsg+1-3) unstable; urgency=medium

  * Trim trailing whitespace.
  * Remove empty leading paragraph in Description.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Add debian/salsa-ci.yml.
  * Update patches to correctly apply hardening flags.
  * Update debian/watch to version 4 and use dversionmangle
    option instead uversionmangle.
  * Convert debian/copyright to the DEP-5 format.
  * Enable all hardening options by default.
  * Standards-Version 4.6.0 — no changes required.

 -- Євгеній Мещеряков <eugen@debian.org>  Fri, 22 Oct 2021 17:46:15 +0200

xfoil (6.99.dfsg+1-2) unstable; urgency=medium

  * New patches:
    - fix-compilation-with-gcc-10.diff - pass -fallow-argument-mismatch to
      gfortran to fix compilation with gcc >= 10 (closes: #957978).
  * Removed patches:
    - osgen-fix.diff - empty

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 09 May 2021 20:23:48 +0200

xfoil (6.99.dfsg+1-1) unstable; urgency=medium

  * Remove Windows executable from the orig tarball
  * Move packaging to salsa.debian.org and update Vcs fields
  * Use debhelper compat level 11 instead of deprecated level 7
  * Don't pass --parallel to dh in debian/rules
  * Standards-Version 4.2.1 - no changes needed

 -- Євгеній Мещеряков <eugen@debian.org>  Sat, 22 Dec 2018 01:17:01 +0100
