=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: science
 Priority: optional
 Maintainer: Євгеній Мещеряков <eugen@debian.org>
-Build-Depends: debhelper (>= 11~), gfortran, libx11-dev
-Standards-Version: 4.2.1
-Homepage: http://web.mit.edu/drela/Public/web/xfoil/
+Build-Depends: debhelper-compat (= 13), gfortran, libx11-dev
+Standards-Version: 4.6.0
+Homepage: https://web.mit.edu/drela/Public/web/xfoil/
 Vcs-Git: https://salsa.debian.org/debian/xfoil.git
 Vcs-Browser: https://salsa.debian.org/debian/xfoil
 
-Package: xfoil
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Package: xfoil
 Description: program for the design and analysis of subsonic airfoils
  XFOIL is an interactive program for the design and analysis of subsonic
  isolated airfoils. It consists of a collection of menu-driven routines
