=== debian/rules ===
#! /usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	$(MAKE) -C orrs/bin -f Makefile_DP osgen
	cd orrs && bin/osgen osmaps_ns.lst
	$(MAKE) -C plotlib
	$(MAKE) -C bin

override_dh_auto_clean:
	$(MAKE) -C orrs/bin -f Makefile_DP clean
	rm -f orrs/osmap.dat
	$(MAKE) -C plotlib clean
	$(MAKE) -C bin clean

override_dh_installchangelogs:
	dh_installchangelogs version_notes.txt
