=== debian/watch ===
version=4
opts="dversionmangle=s/dfsg(\+\d+)?$//" \
https://web.mit.edu/drela/Public/web/xfoil/ xfoil([\d.]+)\.(?:tgz|tar\.gz)
